Package biotransformer.utils

## Enum ChemicalClassFinder.ChemicalClassName

- java.lang.Object
- - java.lang.Enum<ChemicalClassFinder.ChemicalClassName>
  - - biotransformer.utils.ChemicalClassFinder.ChemicalClassName

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ChemicalClassFinder.ChemicalClassName>`

Enclosing class:
  ChemicalClassFinder

    public static enum ChemicalClassFinder.ChemicalClassName
    extends java.lang.Enum<ChemicalClassFinder.ChemicalClassName>

### Enum Constant Summary

Enum Constants
`ACYL_CoA_CONJUGATE`
`ALPHA_HYDROXYLATED_FATTY_ACID`
`BETA_HYDROXYLATED_FATTY_ACID`
`BILE_ACID`
`C23_BILE_ACID`
`C24_BILE_ACID`
`COENZYME_A_DERIVATIVE`
`CURCUMINOID`
`ETHER_LIPID`
`FATTY_ACID`
`GLUTATHIONE_CONJUGATE`
`GLYCEROL_3_PHOSPHATE_INOSITOL`
`GLYCEROLIPID`
`GLYCEROPHOSPHOLIPID`
`GLYCINATED_COMPOUND`
`GLYCOSYLATED_COMPOUND`
`OLIGO_OR_POLYSACCHARIDE`
`OMEGA_HYDROXYLATED_FATTY_ACID`
`SACCHARIDE`
`SATURATED_FATTY_ACID`
`SPHINGOLIPID`
`STILBENOID`
`SULFATE_ESTER`
`SULFATED_COMPOUND`
`TETRAPYRROLE`
`UNFUNCTIONALIZED_SATURATED_FATTY_ACID`
`UNFUNCTIONALIZED_UNSATURATED_FATTY_ACID`
`UNSATURATED_FATTY_ACID`

### Method Summary

All Methods Static Methods Concrete Methods
`static ChemicalClassFinder.ChemicalClassName` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ChemicalClassFinder.ChemicalClassName[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALPHA_HYDROXYLATED_FATTY_ACID

    public static final ChemicalClassFinder.ChemicalClassName ALPHA_HYDROXYLATED_FATTY_ACID

#### BETA_HYDROXYLATED_FATTY_ACID

    public static final ChemicalClassFinder.ChemicalClassName BETA_HYDROXYLATED_FATTY_ACID

#### BILE_ACID

    public static final ChemicalClassFinder.ChemicalClassName BILE_ACID

#### ETHER_LIPID

    public static final ChemicalClassFinder.ChemicalClassName ETHER_LIPID

#### FATTY_ACID

    public static final ChemicalClassFinder.ChemicalClassName FATTY_ACID

#### GLYCEROLIPID

    public static final ChemicalClassFinder.ChemicalClassName GLYCEROLIPID

#### GLYCEROPHOSPHOLIPID

    public static final ChemicalClassFinder.ChemicalClassName GLYCEROPHOSPHOLIPID

#### OMEGA_HYDROXYLATED_FATTY_ACID

    public static final ChemicalClassFinder.ChemicalClassName OMEGA_HYDROXYLATED_FATTY_ACID

#### SPHINGOLIPID

    public static final ChemicalClassFinder.ChemicalClassName SPHINGOLIPID

#### UNSATURATED_FATTY_ACID

    public static final ChemicalClassFinder.ChemicalClassName UNSATURATED_FATTY_ACID

#### UNFUNCTIONALIZED_UNSATURATED_FATTY_ACID

    public static final ChemicalClassFinder.ChemicalClassName UNFUNCTIONALIZED_UNSATURATED_FATTY_ACID

#### SATURATED_FATTY_ACID

    public static final ChemicalClassFinder.ChemicalClassName SATURATED_FATTY_ACID

#### UNFUNCTIONALIZED_SATURATED_FATTY_ACID

    public static final ChemicalClassFinder.ChemicalClassName UNFUNCTIONALIZED_SATURATED_FATTY_ACID

#### GLYCEROL_3_PHOSPHATE_INOSITOL

    public static final ChemicalClassFinder.ChemicalClassName GLYCEROL_3_PHOSPHATE_INOSITOL

#### C23_BILE_ACID

    public static final ChemicalClassFinder.ChemicalClassName C23_BILE_ACID

#### C24_BILE_ACID

    public static final ChemicalClassFinder.ChemicalClassName C24_BILE_ACID

#### SULFATE_ESTER

    public static final ChemicalClassFinder.ChemicalClassName SULFATE_ESTER

#### STILBENOID

    public static final ChemicalClassFinder.ChemicalClassName STILBENOID

#### CURCUMINOID

    public static final ChemicalClassFinder.ChemicalClassName CURCUMINOID

#### TETRAPYRROLE

    public static final ChemicalClassFinder.ChemicalClassName TETRAPYRROLE

#### COENZYME_A_DERIVATIVE

    public static final ChemicalClassFinder.ChemicalClassName COENZYME_A_DERIVATIVE

#### SACCHARIDE

    public static final ChemicalClassFinder.ChemicalClassName SACCHARIDE

#### GLYCOSYLATED_COMPOUND

    public static final ChemicalClassFinder.ChemicalClassName GLYCOSYLATED_COMPOUND

#### SULFATED_COMPOUND

    public static final ChemicalClassFinder.ChemicalClassName SULFATED_COMPOUND

#### GLUTATHIONE_CONJUGATE

    public static final ChemicalClassFinder.ChemicalClassName GLUTATHIONE_CONJUGATE

#### ACYL_CoA_CONJUGATE

    public static final ChemicalClassFinder.ChemicalClassName ACYL_CoA_CONJUGATE

#### GLYCINATED_COMPOUND

    public static final ChemicalClassFinder.ChemicalClassName GLYCINATED_COMPOUND

#### OLIGO_OR_POLYSACCHARIDE

    public static final ChemicalClassFinder.ChemicalClassName OLIGO_OR_POLYSACCHARIDE

### Method Detail

#### values

    public static ChemicalClassFinder.ChemicalClassName[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ChemicalClassFinder.ChemicalClassName c : ChemicalClassFinder.ChemicalClassName.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ChemicalClassFinder.ChemicalClassName valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null